function SceneListMainContactPhoneNumberList(options) {

	this.options			= options;
	
	this.PhoneNumberView = null;
	this.PhoneNumberPopupView = null;
	this.PhoneNumberListDim = null;
	this.PhoneNumberList	= null;
	
	//for list
	this.PhoneNumberArray	= new Array(7);
	this.MenuStringArray	= new Array(7);
	this.MenuImageArray		= new Array(7);
	
	//to save data for popup
	this.MenuLabelArray		= new Array(7);		
	this.MenuIndexArray		= new Array(7);		//Assigned Index Array
			
	this.CallerScene		= null;

	this.TargetIdentity		= null;
	this.TotalPhoneNumber	= null;
	this.TotalItemNumber	= null;
	
	this.HomeNumber			= null;
	this.OfficeNumber		= null;
	this.MobileNumber		= null;
	
	this.AssignedNumber1	= null;	
	this.AssignedNumber2	= null;	
	this.AssignedNumber3	= null;
	
	this.AssignedLabel1		= null;	
	this.AssignedLabel2		= null;	
	this.AssignedLabel3		= null;

	this.CloseBtn			= null;

	this.IsAddMassage		= false;
	this.LastItemSmallized  = false;
	this.NumOfAssignedLabel = 0;
	this.BGStyleIndex = 0;
	this.PrevIndex = -1;
		
	//for reverse osd
	this.IsReverseOSD = false;
	this.changedFontIndex = 0;	
	this.CategoryLabelArray = new Array(7);
	this.ColonLabelArray = new Array(7);
	
	
}

var PhoneNumberPopupBGStyle = ["ListMainContactPhoneNumberListBG",
								"ListMainContactPhoneNumberListBG_2_Items", 
								"ListMainContactPhoneNumberListBG_3_Items", 
								"ListMainContactPhoneNumberListBG_4_Items", 
								"ListMainContactPhoneNumberListBG_5_Items", 
								"ListMainContactPhoneNumberListBG_6_Items", 
								"ListMainContactPhoneNumberListBG_7_Items", 
								"ListMainContactPhoneNumberListBG_8_Items"
								];
var PhoneNumberBGStyle = ["ListMainContactPhoneNumberList", 
							"ListMainContactPhoneNumberList_2_Items", 
							"ListMainContactPhoneNumberList_3_Items", 
							"ListMainContactPhoneNumberList_4_Items", 
							"ListMainContactPhoneNumberList_5_Items", 
							"ListMainContactPhoneNumberList_6_Items", 
							"ListMainContactPhoneNumberList_7_Items", 
							"ListMainContactPhoneNumberList_8_Items"
							];
var PhoneNumberInnerBoxStyle = ["ListMainContactPhoneNumberListBG_innerbox", 
								"ListMainContactPhoneNumberListBG_innerbox_2_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_3_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_4_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_5_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_6_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_7_Items", 
								"ListMainContactPhoneNumberListBG_innerbox_8_Items"
								];

SceneListMainContactPhoneNumberList.prototype.initialize = function () {
	alert("SceneListMainContactPhoneNumberList.initialize()");	
	//nothing!!s
	this.create();
}

SceneListMainContactPhoneNumberList.prototype.handleShow = function () {
	alert("SceneListMainContactPhoneNumberList.handleShow()");
	
  	var callbackFunction =  function(){
  		sf.scene.get('ListMainContactPhoneNumberList').popupTimerCallback();
  	};
  	
	WndMgr.startPopupHideTimer(60000,callbackFunction);
	
	this.ResetListData();
	this.GetPhoneInfo();
	this.SetListData();
	this.SetBGstyle();
	this.SetPosition();

	this.PhoneNumberListDim.show();
	this.PhoneNumberList.Show();

}

SceneListMainContactPhoneNumberList.prototype.handleHide = function () {
	alert("SceneListMainContactPhoneNumberList.handleHide()");

	this.ResetBGstyle();
	this.PhoneNumberList.Hide();
	this.PhoneNumberListDim.hide();

	WndMgr.stopPopupHideTimer();

	if(this.LastItemSmallized == true)
	{
		$("#phoneNumberListItem7").css("height","44px");
		this.LastItemSmallized = false;
	}
	
	this.AdjustTextFont(-1);
	
//	if(this.IsReverseOSD == true && this.IsAddMassage == true)
//	{
//		var TextObj = "#phoneNumberListItem" + this.TotalItemNumber + "Text";
//		$(TextObj).css('left', "61px" );
//		$(TextObj).css('width', "165px" ); 
//	}	
}

SceneListMainContactPhoneNumberList.prototype.handleFocus = function () {
	alert("SceneListMainContactPhoneNumberList.handleFocus()");

	this.PhoneNumberList.highlight();
	
}

SceneListMainContactPhoneNumberList.prototype.handleBlur = function () {
	alert("SceneListMainContactPhoneNumberList.handleBlur()");
	
	this.PhoneNumberList.blur();
	
}

SceneListMainContactPhoneNumberList.prototype.handleKeyDown = function (keyCode) {
	
	alert("SceneListMainContactPhoneNumberList.handleKeyDown(" + keyCode + ")");
PluginAPIMgr.PlayAudio(keyCode);
if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
/*	if(keyCode == sf.key.TOOLS) {
		this.processToolKey();	
		sf.key.preventDefault();
	} else*/ {
		if((keyCode == sf.key.DOWN) && (this.PhoneNumberList.GetCurrentDataIndex() == this.PhoneNumberList.GetNumOfVisibleItem()-1)) {
			this.CloseBtn.highlight();
			this.PhoneNumberList.blur();
			WndMgr.resetPopupHideTimer();
		} else if((keyCode == sf.key.UP) && this.CloseBtn.flagHighlight() == true) {
				this.CloseBtn.blur();
				this.PhoneNumberList.highlight(this.PhoneNumberList.GetNumOfVisibleItem()-1);
			WndMgr.resetPopupHideTimer();
		} else if((keyCode == sf.key.ENTER) && this.CloseBtn.flagHighlight() == true) {
				this.CloseBtn.blur();
				this.ProcessKeyReturn();
		} else {
			if((keyCode == sf.key.UP) || (keyCode == sf.key.DOWN))
				WndMgr.resetPopupHideTimer();
				this.CloseBtn.blur();
			this.PhoneNumberList.KeyProcess(keyCode, true);
	}
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneListMainContactPhoneNumberList.prototype.create = function()
{
    alert("SceneListMainContactPhoneNumberList.createList() ");
	
    this.PhoneNumberView = new View("ListMainContactPhoneNumberList");

	this.PhoneNumberListDim = new DimBg("ListMainContactPhoneNumberListDim", "ListMainContactPhoneNumberList");

    this.PhoneNumberPopupView = new View("ListMainContactPhoneNumberListBG");
//    this.PhoneNumberPopupView.CreatePopupBG(0,"listMainContactPhoneNumberListBG");
//	this.PhoneNumberPopupView.SetTitleTextofPopupBG(g_String.SELECT_NUMBER_TO_DIAL);
    
	this.PhoneNumberList = new MenuList();
	this.PhoneNumberList.CreateBG("phoneNumberList", "divide");
	this.PhoneNumberList.SetNumOfVisibleItem(7);	//Set Max Item
	//this.PhoneNumberList.SetStartDataIndex(0);	
	this.PhoneNumberList.SetItemClass(MenuListItem);	
//	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.NORMAL," ");
//	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_LIST_MAIN_PHONE_NEMBER_LIST_ITEM_HIGHLIGHT_BG); //  IMAGE_LIST_SELECTION_HIGH
	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.NORMAL," ");//g_Image.IMAGE_LIST_SELECTION_NORMAL); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.NORMAL_UP,null); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.NORMAL_DOWN,null); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.PhoneNumberList.SetItemBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_LIST_SELECTION_HIGH); // 
	this.PhoneNumberList.SetItemDefualtTextStyle(ITEM_STATE.NORMAL,"cPhoneNumberList_Text_Normal");
	this.PhoneNumberList.SetItemDefualtTextStyle(ITEM_STATE.HIGHLIGHT,"cPhoneNumberList_Text_Highlight");
	this.PhoneNumberList.SetItemDisableTextStyle("cPhoneNumberList_Text_Disable");	
	this.PhoneNumberList.SetDataType(ITEM_DATA_TYPE.FG_TEXT);

	var scene = sf.scene.get("ListMainContactPhoneNumberList");	

	this.PhoneNumberList.SetEventOnLeftFunc(scene.ProcessKeyLeft);
	this.PhoneNumberList.SetEventOnRightFunc(scene.ProcessKeyRight);	
	this.PhoneNumberList.SetEventOnReturnFunc(scene.ProcessKeyReturn);
	this.PhoneNumberList.SetItemPressedEventCallback(scene.ProcessKeyEnter);	

	this.PhoneNumberList.SetOnClickCallbackFunc(0,this.onClickEventFunc1);
	this.PhoneNumberList.SetOnClickCallbackFunc(1,this.onClickEventFunc2);
	this.PhoneNumberList.SetOnClickCallbackFunc(2,this.onClickEventFunc3);
	this.PhoneNumberList.SetOnClickCallbackFunc(3,this.onClickEventFunc4);
	this.PhoneNumberList.SetOnClickCallbackFunc(4,this.onClickEventFunc5);
	this.PhoneNumberList.SetOnClickCallbackFunc(5,this.onClickEventFunc6);
	this.PhoneNumberList.SetOnClickCallbackFunc(6,this.onClickEventFunc7);	

	this.PhoneNumberList.SetOnMouseOverCallbackFunc(0, function(){scene.processMouseOver(0);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(1, function(){scene.processMouseOver(1);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(2, function(){scene.processMouseOver(2);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(3, function(){scene.processMouseOver(3);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(4, function(){scene.processMouseOver(4);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(5, function(){scene.processMouseOver(5);});
	this.PhoneNumberList.SetOnMouseOverCallbackFunc(6, function(){scene.processMouseOver(6);});

	this.PhoneNumberList.SetClickEventAvailable(WndMgr.MouseClickEnable);
	
	this.CloseBtn = new Button();
	this.CloseBtn.SetImageObjId("PhoneNumberList_close_btn", 20);
	this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.CloseBtn.SetTextObjId("PhoneNumberList_close_btn_text");
	this.CloseBtn.SetText(SID_CLOSE);
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "popup_btn_text_normal_style");
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE, "popup_btn_text_focus_style");
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE, "popup_btn_text_dimmed_style");
	this.CloseBtn.SetOnClickCallbackFunc(scene.ProcessKeyReturn);
	this.CloseBtn.SetOnMouseOverCallbackFunc(function(){scene.PhoneNumberList.blur(); scene.CloseBtn.highlight();});

	this.PhoneNumberList.DisableReverse();
	this.CheckReverseOSD();
	
}

SceneListMainContactPhoneNumberList.prototype.SetBGstyle = function(){ 
	alert("SceneListMainContactPhoneNumberList.SetBGstyle() : BGStyleIndex( "+this.BGStyleIndex+" )");

	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());
	$("#"+this.PhoneNumberView.GetObjId()).addClass(PhoneNumberBGStyle[this.BGStyleIndex]);

	this.PhoneNumberPopupView.CreatePopupBG(0,PhoneNumberPopupBGStyle[this.BGStyleIndex]);
	this.PhoneNumberPopupView.SetTitleTextofPopupBG(TV_SID_SELECT_NUMBER_TO_DIAL);
	this.PhoneNumberPopupView.CreateInnerBox(PhoneNumberInnerBoxStyle[this.BGStyleIndex]);
}

SceneListMainContactPhoneNumberList.prototype.ResetBGstyle = function(){
	$("#"+this.PhoneNumberView.GetObjId()).removeClass();
	
	this.PhoneNumberPopupView.RemovePopupBG();
}

SceneListMainContactPhoneNumberList.prototype.SetListData = function()
{
	alert("SceneListMainContactPhoneNumberList.SetListData()");

	//1. Set total item number 
	this.SetPhoneNumberArray();
	
	tempdata = new Array(this.TotalItemNumber);
	 		
	for(var i=0; i < this.TotalItemNumber; i++)
	{		
		tempdata[i] = [this.MenuStringArray[i],null,this.MenuImageArray[i]];
	}
	
	var NumOfCreatedItem = this.PhoneNumberList.GetNumOfCreatedItem();


	if(this.TotalItemNumber > NumOfCreatedItem)
	{
		
		for(i=0; i < NumOfCreatedItem; i++)
		{
			this.PhoneNumberList.ChangeData(i,tempdata[i]);
		}
				
		for(i = NumOfCreatedItem; i < this.TotalItemNumber; i++)
		{
			this.PhoneNumberList.AddData(tempdata[i]);
		}
				
	}
	else
	{
		for(i=0; i < this.TotalItemNumber; i++)
		{			
			this.PhoneNumberList.ChangeData(i,tempdata[i]);
		}			
	}
/*	
	if(this.IsReverseOSD == true)
	{
		alert("TotalPhoneNumber = " + this.TotalPhoneNumber);
		for(i=0; i < this.TotalPhoneNumber; i++)
		{			
			this.CategoryLabelArray[i].visibleObj();
			this.ColonLabelArray[i].visibleObj();
			//hiddenObj
		}
		
		if(this.IsAddMassage == true)
		{
			var TextObj = "#phoneNumberListItem" + this.TotalItemNumber + "Text";
			alert("TextObj = " + TextObj);
			$(TextObj).css('left', "11px" );
			$(TextObj).css('width', "178px" ); 
		}
	}
*/
	//Item show && hide!!!
	this.PhoneNumberList.SetNumOfMaxItem(this.TotalItemNumber);
	this.PhoneNumberList.ShowItem();
}


SceneListMainContactPhoneNumberList.prototype.SetPhoneNumberArray = function(IsReverse)
{

	alert("SceneListMainContactPhoneNumberList.SetPhoneNumberArray()");	
			
	var PNAIndex	= 0;
	var TmpNumCount	= 0;
	var StringWidth = 170;
	var bUseFirstIndex = false;
	var bUseSecondIndex = false;
	var bUseThirdIndex = false;
	
	//1.Contact Name
	var ContactName = this.TargetIdentity;

	this.PhoneNumberArray[PNAIndex] = ContactName;
	this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_SKYPE;
	
	if(this.IsReverseOSD == true)
	{
//		this.CategoryLabelArray[0].SetText("Skype");
//		this.MenuStringArray[PNAIndex++] = ContactName;
		this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis("Skype : <<A>>", ContactName, StringWidth);
	}
	else
	{
		this.MenuStringArray[PNAIndex++] = "Skype : " + ContactName;
	}

	var TotalCount	= 1;
	
	//2. Mobile
	if(this.AssignedLabel1 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 1;		
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_MOBILE;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_MOBILE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber1;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_MOBILE + " : <<A>>", this.AssignedNumber1, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE + " : " +  this.AssignedNumber1;
		}
					
		bUseFirstIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel2 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 2;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_MOBILE;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_MOBILE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber2;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_MOBILE + " : <<A>>", this.AssignedNumber2, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE + " : " + this.AssignedNumber2;
		}		
				
		bUseSecondIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel3 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 3;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_MOBILE;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_MOBILE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber3;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_MOBILE + " : <<A>>", this.AssignedNumber3, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE + " : " + this.AssignedNumber3;
		}

		bUseThirdIndex = true;
		
		TmpNumCount++;
		TotalCount++;

	}
		
	if(this.MobileNumber.length > 0)
	{
		this.PhoneNumberArray[PNAIndex] = this.MobileNumber;		
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_MOBILE;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_MOBILE);
//			this.MenuStringArray[PNAIndex++] = this.MobileNumber;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_MOBILE + " : <<A>>", this.MobileNumber, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE + " : " + this.MobileNumber;
		}
		
		TotalCount++;
	}

	//3. Office
	if(this.AssignedLabel1 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 1;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OFFICE;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_OFFICE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber1;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_OFFICE + " : <<A>>", this.AssignedNumber1, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE + " : " + this.AssignedNumber1;
		}
				
		bUseFirstIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel2 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 2;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OFFICE;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_OFFICE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber2;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_OFFICE + " : <<A>>", this.AssignedNumber2, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE + " : " + this.AssignedNumber2;
		}
		
		bUseSecondIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel3 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 3;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OFFICE;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_OFFICE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber3;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_OFFICE + " : <<A>>", this.AssignedNumber3, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE + " : " + this.AssignedNumber3;
		}
		
		bUseThirdIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	
	if(this.OfficeNumber.length > 0)
	{
		this.PhoneNumberArray[PNAIndex] = this.OfficeNumber;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OFFICE;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(IDWS_MOIP_OFFICE);
//			this.MenuStringArray[PNAIndex++] = this.OfficeNumber;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(IDWS_MOIP_OFFICE + " : <<A>>", this.OfficeNumber, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE + " : " + this.OfficeNumber;
		}
		
		TotalCount++;
	}	

	
	//3. Home
	if(this.AssignedLabel1 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 1;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_HOME;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_HOME_KR_HOMEPHONE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber1;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_HOME_KR_HOMEPHONE + " : <<A>>", this.AssignedNumber1, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE + " : " + this.AssignedNumber1;
		}
		
		bUseFirstIndex = true;
				
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel2 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 2;
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_HOME;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_HOME_KR_HOMEPHONE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber2;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_HOME_KR_HOMEPHONE + " : <<A>>", this.AssignedNumber2, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE + " : " + this.AssignedNumber2;
		}

		bUseSecondIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel3 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 3;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_HOME;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_HOME_KR_HOMEPHONE);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber3;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_HOME_KR_HOMEPHONE + " : <<A>>", this.AssignedNumber3, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE + " : " + this.AssignedNumber3;
		}
		
		bUseThirdIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	
	if(this.HomeNumber.length > 0)
	{
		this.PhoneNumberArray[PNAIndex] = this.HomeNumber;	
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_HOME;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_HOME_KR_HOMEPHONE);
//			this.MenuStringArray[PNAIndex++] = this.HomeNumber;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_HOME_KR_HOMEPHONE + " : <<A>>", this.HomeNumber, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE + " : " + this.HomeNumber;
		}
			
		TotalCount++;
	}

	//4. other
	if(this.AssignedLabel1 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 1;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OTHER;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_COUNTRY_OTHER);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber1;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_COUNTRY_OTHER + " : <<A>>", this.AssignedNumber1, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER + " : " + this.AssignedNumber1;
		}
	
		bUseFirstIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel2 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 2;
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OTHER;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_COUNTRY_OTHER);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber2;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_COUNTRY_OTHER + " : <<A>>", this.AssignedNumber2, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER + " : " + this.AssignedNumber2;
		}
		
		bUseSecondIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	if(this.AssignedLabel3 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 3;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuImageArray[PNAIndex] = g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_SELECT_PHONE_NUMBER_ICON_OTHER;
		
		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[TotalCount].SetText(SID_COUNTRY_OTHER);
//			this.MenuStringArray[PNAIndex++] = this.AssignedNumber3;
			this.MenuStringArray[PNAIndex++] = g_Data.CombinateStringsWithEllipsis(SID_COUNTRY_OTHER + " : <<A>>", this.AssignedNumber3, StringWidth);
		}
		else
		{
			this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER + " : " + this.AssignedNumber3;
		}

		bUseThirdIndex = true;
		
		TmpNumCount++;
		TotalCount++;
	}
	
	//Set NumOfAssignedLabel
	//Index of Added PhoneNumber

	if(bUseFirstIndex == false)
	{
		this.NumOfAssignedLabel = 1;
	}
	else if(bUseFirstIndex == true && bUseSecondIndex == false)
	{
		this.NumOfAssignedLabel = 2;
	}
	else if(bUseFirstIndex == true && bUseSecondIndex == true && bUseThirdIndex == false)
	{
		this.NumOfAssignedLabel = 3;
	}
	else 
	{
		this.NumOfAssignedLabel = 4;
	}
	
	alert("NumOfAssignedLabel = " + this.NumOfAssignedLabel);	

	this.TotalPhoneNumber = TotalCount;
/*
	if(TmpNumCount < 3)
	{	
		this.AdjustTextFont(PNAIndex);
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_SKYPE_ADD_A_PHONE_NUMBER;
		TotalCount++;		
		this.IsAddMassage = true;
	}	
*/		
	this.TotalItemNumber = TotalCount;
	this.BGStyleIndex = this.TotalItemNumber;
	alert("TotalItemNumber = " + this.TotalItemNumber);

}

SceneListMainContactPhoneNumberList.prototype.ResetListData = function()
{	
	alert("SceneListMainContactPhoneNumberList.ResetListData");
	
	var tempdata = [null,null,null];
	
	for(var i=0; i < 7; i++)
	{			
		this.PhoneNumberList.ChangeData(i,tempdata);
		this.MenuLabelArray[i] = 0;
		this.MenuIndexArray[i] = 0;	
		this.PhoneNumberArray[i] = null;
		this.MenuStringArray[i] = null;
		this.MenuImageArray[i] = null;

		if(this.IsReverseOSD == true)
		{
//			this.CategoryLabelArray[i].SetText("");
//			this.CategoryLabelArray[i].hiddenObj();
//			this.ColonLabelArray[i].hiddenObj();
		}

	}
	this.NumOfAssignedLabel = 0;
	this.IsAddMassage = false;
	
}


SceneListMainContactPhoneNumberList.prototype.SetInfo = function(SceneName,SkypeName){
	
	//alert("SceneListMainContact.SetInfo >>>  CallerScene : " + SceneName);
	
	this.TargetIdentity = SkypeName;
		
	this.CallerScene = SceneName;
}

SceneListMainContactPhoneNumberList.prototype.SetPosition = function(){
	
	alert("SceneListMainContact.SetPosition ");

//	var PhoneNumberListTop = 48+"px";//298-(21*this.TotalItemNumber)+"px"; 
	var CloseBtnBgTop = 28+(42*this.TotalItemNumber);

	CloseBtnBgTop += "px";
	alert("BgTop : " + CloseBtnBgTop);	
	
//	$("#"+ this.PhoneNumberList.GetBGLayer().Obj).css('top', PhoneNumberListTop );		
	$("#"+ this.CloseBtn.GetObjId()).css('top', CloseBtnBgTop );		
	
}


SceneListMainContactPhoneNumberList.prototype.GetPhoneInfo = function(){
	
	alert("SceneListMainContact.GetPhoneInfo");
	
	// this.TargetIdentity = g_Data.DATA_PHONE_NUMBER_INFO.Name;

	var ContactName = this.TargetIdentity;

	this.HomeNumber			= PluginAPIMgr.GetHomePhoneNumberWithName(ContactName);
	this.OfficeNumber		= PluginAPIMgr.GetOfficePhoneNumberWithName(ContactName);	
	this.MobileNumber		= PluginAPIMgr.GetMobilePhoneNumberWithName(ContactName);
	
	this.AssignedLabel1		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,2);
	this.AssignedLabel2		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,4);
	this.AssignedLabel3		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,6);


	alert("homePhone = " + this.HomeNumber);
	alert("officePhone = " + this.OfficeNumber);
	alert("mobilePhone = " + this.MobileNumber);
	alert("AssignedPhone1Label = " + this.AssignedLabel1);
	alert("AssignedPhone2Label = " + this.AssignedLabel2);
	alert("AssignedPhone3Label = " + this.AssignedLabel3);	
			
	var count = 0;

	//&& this.AssignedLabel1.length > 0
	if(this.AssignedLabel1 != null && this.AssignedLabel1 != "none")
	{
		this.AssignedNumber1 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,1);
		alert("this.AssignedNumber1 = " + this.AssignedNumber1);
		count++;
	}
	else
	{
		this.AssignedNumber1 = null;
		this.AssignedLabel1 = "none";
	}

	if(this.AssignedLabel2 != null && this.AssignedLabel2 != "none")
	{
		this.AssignedNumber2 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,3);
		alert("this.AssignedNumber2 = " + this.AssignedNumber2);
		count++;
	}
	else
	{
		this.AssignedNumber2 = null;
		this.AssignedLabel2 = "none";
	}
	
	if(this.AssignedLabel3 != null && this.AssignedLabel3 != "none")
	{
		this.AssignedNumber3 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,5);
		alert("this.AssignedNumber3 = " + this.AssignedNumber3);
		count++;
	}
	else
	{
		this.AssignedNumber3 = null;		
		this.AssignedLabel3 = "none";
	}
		 	
}

SceneListMainContactPhoneNumberList.prototype.ProcessKeyReturn = function(){

	alert("SceneListMainContactPhoneNumberList.ProcessKeyReturn() ");
	
	var this_ = sf.scene.get("ListMainContactPhoneNumberList");

	sf.scene.focus(this_.CallerScene);
	WndMgr.Hide_ContactPhoneNumberList();
/*
	var returnScene = sf.scene.get(this_.CallerScene);

	sf.scene.focus(this_.CallerScene);
	returnScene.Activation();
	sf.scene.hide('ListMainContactPhoneNumberList');
*/
}

SceneListMainContactPhoneNumberList.prototype.ProcessKeyEnter = function(){

	alert("SceneListMainContactPhoneNumberList.ProcessKeyEnter() ");
	
	var this_ = sf.scene.get("ListMainContactPhoneNumberList");
	var Index = this_.PhoneNumberList.GetCurrentItem();
		
	var phonenumber = this_.PhoneNumberArray[Index];
	alert("phonenumber[" + Index + "] ="  + phonenumber);			
			
	sf.scene.focus(this_.CallerScene);
	WndMgr.Hide_ContactPhoneNumberList();
//	StateMgr.Stop_ListMain_Phone_Number_State();
			
	if(phonenumber){

		alert(" Create Call...");
		ProcMgr.CreateCall(phonenumber,0);
	}
	else{

		alert(" Show Add Assigned Phone Number...");

		if(this.CloseBtn.flagHighlight() == true)
		this.ProcessKeyReturn();
			
	}	
}

SceneListMainContactPhoneNumberList.prototype.ProcessKeyLeft = function(){

	alert("SceneListMainContactPhoneNumberList.ProcessKeyLeft() ");
	
	
	var this_ = sf.scene.get("ListMainContactPhoneNumberList");	
	var returnScene = sf.scene.get(this_.CallerScene);
	
	returnScene.MoveToVideoCallBtn();	
	sf.scene.focus(this_.CallerScene);
	
	returnScene.Activation();

	WndMgr.Hide_ContactPhoneNumberList();
//	StateMgr.Stop_ListMain_Phone_Number_State();
		
}

SceneListMainContactPhoneNumberList.prototype.ProcessKeyRight = function(){

	alert("SceneListMainContactPhoneNumberList.ProcessKeyRight() ");
	
	
	var this_ = sf.scene.get("ListMainContactPhoneNumberList");	
	var returnScene = sf.scene.get(this_.CallerScene);
	
	returnScene.MoveToVideoCallBtn();	
	sf.scene.focus(this_.CallerScene);
	
	returnScene.Activation();

	WndMgr.Hide_ContactPhoneNumberList();
//	StateMgr.Stop_ListMain_Phone_Number_State();
	
}

SceneListMainContactPhoneNumberList.prototype.popupTimerCallback = function() {
	alert("SceneListMainContactPhoneNumberList.popupTimerCallback() ");

//	var this_ = sf.scene.get("ListMainContactPhoneNumberList");	
	this.ProcessKeyReturn();
}

SceneListMainContactPhoneNumberList.prototype.processToolKey = function(){

	alert("SceneListMainContactPhoneNumberList.processToolKey() ");
	
	var Index = this.PhoneNumberList.GetCurrentItem();
	alert("Index = " + Index);
	alert("SkypName = " + this.TargetIdentity);
	alert("LabelType = " + this.MenuLabelArray[Index]);
	alert("PhoneNumber = " + this.PhoneNumberArray[Index]);	
		
	//Case 1 Add	
	if(this.MenuIndexArray[Index] == 0)
	{
		this.MenuIndexArray[Index] = this.NumOfAssignedLabel;
	}
	
	
	alert("LabelIndex = " + this.MenuIndexArray[Index]);	
		
	g_Data.SetAssignedPhoneNumberInfo(this.TargetIdentity,this.MenuIndexArray[Index],this.MenuLabelArray[Index],this.PhoneNumberArray[Index],true);	
	
	WndMgr.Hide_ContactPhoneNumberList();
	StateMgr.Start_List_Tools_State(TOOL_MENU_LIST_TYPE.VOICE_CALL_BUTTON);
}

SceneListMainContactPhoneNumberList.prototype.processMouseOver = function(ItemIndex)
{
	alert("SceneListMainContactPhoneNumberList.processMouseOver --" + ItemIndex);

	var currentHighlight = this.PhoneNumberView.getCurrentHighlight();
	if(currentHighlight != this.PhoneNumberList) {
		this.CloseBtn.blur();
		this.PrevIndex = -1;
	}
		
	if(ItemIndex < 0 || ItemIndex > 6 || this.PrevIndex == ItemIndex)
	{
		alert("ItemIndex only 0~6, and PrevIndex == ItemIndex"); 
		return;
	}

	this.PrevIndex = ItemIndex;
	this.PhoneNumberList.highlight(ItemIndex);
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc1 = function(){
	processPhoneNumber(0);
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc2 = function(){
	processPhoneNumber(1);	
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc3 = function(){
	processPhoneNumber(2);	
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc4 = function(){
	processPhoneNumber(3);
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc5 = function(){
	processPhoneNumber(4);
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc6 = function(){
	processPhoneNumber(5);
}

SceneListMainContactPhoneNumberList.prototype.onClickEventFunc7 = function(){
	processPhoneNumber(6);
}

SceneListMainContactPhoneNumberList.prototype.AdjustTextFont = function(Index){

	var CurLangID = ResMgr.GetCurLanguage();
	var TextObj;
	
 	if(CurLangID == ENUM_TV_LANGUAGE.MKD || CurLangID == ENUM_TV_LANGUAGE.NOR || CurLangID == ENUM_TV_LANGUAGE.RUS || CurLangID == ENUM_TV_LANGUAGE.UKR)
 	{ 		
		if(Index == -1)
		{
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex + "Text";
	 		alert("Changed Text >>> " + TextObj);			
			$(TextObj).css('font-size', "15px" );			
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex  + "Text";
	 		alert("Changed Text >>> " + TextObj);
			$(TextObj).css('font-size', "14px" );
		}	
   	}
   	//temp
 	else if(CurLangID == ENUM_TV_LANGUAGE.TAM)
 	{ 		
		if(Index == -1)
		{
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex + "Text";		
			$(TextObj).css('font-size', "15px" );			
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex  + "Text";
			$(TextObj).css('font-size', "17px" );
		}	
   	}   	
   	//mulitple text
   	else if(CurLangID == ENUM_TV_LANGUAGE.POR || CurLangID == ENUM_TV_LANGUAGE.ROM || CurLangID == ENUM_TV_LANGUAGE.SPA || CurLangID == ENUM_TV_LANGUAGE.BUL ||
   		CurLangID == ENUM_TV_LANGUAGE.DEU || CurLangID == ENUM_TV_LANGUAGE.FRA)
   	{

		if(Index == -1)
		{
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex + "Text";
	 		alert("Changed Text >>> " + TextObj);			
			$(TextObj).removeClass('cPhoneNumberList_Text_Mulity');
			$(TextObj).addClass('cPhoneNumberList_Text');
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#phoneNumberListItem" +  this.changedFontIndex  + "Text";
	 		alert("Changed Text >>> " + TextObj);
			$(TextObj).removeClass('cPhoneNumberList_Text');
			$(TextObj).addClass('cPhoneNumberList_Text_Mulity');
		}
   		
   	}
}

SceneListMainContactPhoneNumberList.prototype.CheckReverseOSD = function(){
	
	var CurLangID = ResMgr.GetCurLanguage();
	
 	if(CurLangID == ENUM_TV_LANGUAGE.ARA || CurLangID == ENUM_TV_LANGUAGE.PER || CurLangID == ENUM_TV_LANGUAGE.URD || CurLangID == ENUM_TV_LANGUAGE.HEB)
 	{ 		
 		this.IsReverseOSD = true;
 	}
}

SceneListMainContactPhoneNumberList.prototype.CategoryLabelReverse = function(){
	
 	if(this.IsReverseOSD)
 	{ 		
    	alert("CategoryLabelArray & ColonLabelArray apply reverse osd !!!!");
 	
		$('#phoneNumberListItem1Text').css('left', "61px" ); 
		$('#phoneNumberListItem2Text').css('left', "61px" ); 
		$('#phoneNumberListItem3Text').css('left', "61px" ); 
		$('#phoneNumberListItem4Text').css('left', "61px" ); 		
		$('#phoneNumberListItem5Text').css('left', "61px" ); 
		$('#phoneNumberListItem6Text').css('left', "61px" );
		$('#phoneNumberListItem7Text').css('left', "61px" ); 
		
		$('#phoneNumberListItem1Text').css('width', "165px" ); 
		$('#phoneNumberListItem2Text').css('width', "165px" ); 
		$('#phoneNumberListItem3Text').css('width', "165px" ); 
		$('#phoneNumberListItem4Text').css('width', "165px" ); 		
		$('#phoneNumberListItem5Text').css('width', "165px" ); 
		$('#phoneNumberListItem6Text').css('width', "165px" );
		$('#phoneNumberListItem7Text').css('width', "165px" ); 		

		$('#phoneNumberListItem1Text').css('text-align', "right" ); 
		$('#phoneNumberListItem2Text').css('text-align', "right" ); 
		$('#phoneNumberListItem3Text').css('text-align', "right" ); 
		$('#phoneNumberListItem4Text').css('text-align', "right" ); 		
		$('#phoneNumberListItem5Text').css('text-align', "right" ); 
		$('#phoneNumberListItem6Text').css('text-align', "right" );
		$('#phoneNumberListItem7Text').css('text-align', "right" ); 		

		this.CategoryLabelArray[0] = new Label(null,"phoneNumberListItem1Text3");
		this.CategoryLabelArray[1] = new Label(null,"phoneNumberListItem2Text3");
		this.CategoryLabelArray[2] = new Label(null,"phoneNumberListItem3Text3");
		this.CategoryLabelArray[3] = new Label(null,"phoneNumberListItem4Text3");
		this.CategoryLabelArray[4] = new Label(null,"phoneNumberListItem5Text3");
		this.CategoryLabelArray[5] = new Label(null,"phoneNumberListItem6Text3");
		this.CategoryLabelArray[6] = new Label(null,"phoneNumberListItem7Text3");
		
		this.ColonLabelArray[0] = new Label(null,"phoneNumberListItem1Text2");
		this.ColonLabelArray[1] = new Label(null,"phoneNumberListItem2Text2");
		this.ColonLabelArray[2] = new Label(null,"phoneNumberListItem3Text2");
		this.ColonLabelArray[3] = new Label(null,"phoneNumberListItem4Text2");
		this.ColonLabelArray[4] = new Label(null,"phoneNumberListItem5Text2");
		this.ColonLabelArray[5] = new Label(null,"phoneNumberListItem6Text2");
		this.ColonLabelArray[6] = new Label(null,"phoneNumberListItem7Text2");	

		for(var i=0; i < 7; i++)
		{
			this.ColonLabelArray[i].SetText(":");
		}		
		this.PhoneNumberList.DisableReverse();
 	}
}

function processPhoneNumber(Index)
{
	alert("processPhoneNumber  >>  Index = " + Index);
	var this_ = sf.scene.get("ListMainContactPhoneNumberList");
	var phonenumber = this_.PhoneNumberArray[Index];
	alert("phonenumber = "  + phonenumber);
		
	if(event.button == 2)
	{
		alert("right click!!");
		alert("SkypName = " + this_.TargetIdentity);
		alert("LabelType = " + this_.MenuLabelArray[Index]);
			
		//Case 1 Add	
		if(this_.MenuIndexArray[Index] == 0)
		{
			this_.MenuIndexArray[Index] = this_.NumOfAssignedLabel;
		}
				
		alert("LabelIndex = " + this_.MenuIndexArray[Index]);	
			
		g_Data.SetAssignedPhoneNumberInfo(this_.TargetIdentity,this_.MenuIndexArray[Index],this_.MenuLabelArray[Index],phonenumber,true);	
				
		WndMgr.Hide_ContactPhoneNumberList();
		StateMgr.Start_List_Tools_State(TOOL_MENU_LIST_TYPE.VOICE_CALL_BUTTON);
	}
	else
	{	
		sf.scene.focus(this_.CallerScene);			
		WndMgr.Hide_ContactPhoneNumberList();
				
		if(phonenumber){
	
			alert(" Create Call...");
	
			ProcMgr.CreateCall(phonenumber,0);
	
		}
		else{
	
			alert("SceneListMainContactPhoneNumberList.processPhoneNumber() : Error(No PhoneNumber)");
			this.ProcessKeyReturn();
		}	
	}	
}

